.sonarqube_run: &sonarqube_run
  - sonar-scanner -Dsonar.branch.name=$CI_COMMIT_BRANCH
    -Dsonar.projectKey=gfdp-backend
    -Dsonar.login=$SECRET_SONAR_TOKEN
    -Dsonar.host.url=https://sonarqube.dev.thegang.tech
    -Dsonar.python.coverage.reportPaths=coverage.xml
    -Dsonar.qualitygate.wait=true

sonarqube:
  stage: static-test
  image:
    name: sonarsource/sonar-scanner-cli
  script:
    - *sonarqube_run
  allow_failure: true
  dependencies:
    - test-and-coverage
  variables:
    GIT_DEPTH: 0
  extends:
    - .test-db-env
  retry: 2

sonarqube-mr:
  stage: static-test
  image:
    name: sonarsource/sonar-scanner-cli
  script:
    - *sonarqube_run
  allow_failure: true
  only:
    - merge_requests
  variables:
    GIT_DEPTH: 0
  extends:
    - .test-db-env
  retry: 2
